Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.workflow.service
Class JbpmThreadService

    java.lang.Object
      org.jboss.portal.workflow.service.JbpmThreadService

All Implemented Interfaces:
  JbpmThreadServiceMBean

    public class JbpmThreadService

extends java.lang.Object
implements JbpmThreadServiceMBean

Version:
  $Revision: 8784 $
Author:
  Thomas Heute

Constructor Summary
`JbpmThreadService()`

Method Summary
`int` | `getPriority()`
`int` | `getSchedulerInterval()`
`WorkflowService` | `getWorkflowService()`
`void` | `setPriority(int priority)`
`void` | `setSchedulerInterval(int schedulerInterval)`
`void` | `setWorkflowService(WorkflowService workflowService)`
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JbpmThreadService

    public JbpmThreadService()

Method Detail

### start

    public void start()

  Specified by:
    `start` in interface `JbpmThreadServiceMBean`

### stop

    public void stop()

  Specified by:
    `stop` in interface `JbpmThreadServiceMBean`

### getSchedulerInterval

    public int getSchedulerInterval()

  Specified by:
    `getSchedulerInterval` in interface `JbpmThreadServiceMBean`

### setSchedulerInterval

    public void setSchedulerInterval(int schedulerInterval)

  Specified by:
    `setSchedulerInterval` in interface `JbpmThreadServiceMBean`

### getPriority

    public int getPriority()

  Specified by:
    `getPriority` in interface `JbpmThreadServiceMBean`

### setPriority

    public void setPriority(int priority)

  Specified by:
    `setPriority` in interface `JbpmThreadServiceMBean`

### getWorkflowService

    public WorkflowService getWorkflowService()

  Specified by:
    `getWorkflowService` in interface `JbpmThreadServiceMBean`

### setWorkflowService

    public void setWorkflowService(WorkflowService workflowService)

  Specified by:
    `setWorkflowService` in interface `JbpmThreadServiceMBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD